# RMF -- Raster Matrix Format

Driver short name

RMF

Driver built-in by default

This driver is built-in by default

RMF is a simple tiled raster format used in the GIS "Integration" and "Panorama" GIS. The format itself has very poor capabilities.

There are two flavors of RMF called MTW and RSW. MTW supports 16-bit integer and 32/64-bit floating point data in a single channel and aimed to store DEM data. RSW is a general purpose raster. It supports single channel colormapped or three channel RGB images. Only 8-bit data can be stored in RSW. Simple georeferencing can be provided for both image types.

## Driver capabilities

Supports CreateCopy()

This driver supports the `GDALDriver::CreateCopy()` operation

Supports Create()

This driver supports the `GDALDriver::Create()` operation

Supports Georeferencing

This driver supports georeferencing

Supports VirtualIO

This driver supports virtual I/O operations (/vsimem/, etc.)

## Metadata

- ELEVATION_MINIMUM: Minimum elevation value (MTW only).

- ELEVATION_MAXIMUM: Maximum elevation value (MTW only).

- ELEVATION_UNITS: Name of the units for raster values (MTW only). Can be "m" (meters), "cm" (centimeters), "dm" (decimeters), "mm" (millimeters).

- ELEVATION_TYPE: Could be either 0 (absolute elevation) or 1 (total elevation). MTW only.

## Open Options

Open options can be specified in command-line tools using the syntax `-oo <NAME>=<VALUE>` or by providing the appropriate arguments to `GDALOpenEx()` (C) or `gdal.OpenEx` (Python). The following open options are supported:

- RMF_SET_VERTCS=ON: Set to ON, the layers spatial reference will include vertical coordinate system description if exist. This feature can be enabled via config option with same name.

## Creation Options

Creation options can be specified in command-line tools using the syntax `-co <NAME>=<VALUE>` or by providing the appropriate arguments to `GDALCreate()` (C) or `Driver.Create` (Python). The following creation options are supported:

- MTW=ON: Force the generation of MTW matrix (RSW will be created by default).

- BLOCKXSIZE=<int>: Defaults to `256`. Sets tile width.

- BLOCKYSIZE=<int>: Defaults to `256`. Set tile height.

- RMFHUGE=[NO​/​YES​/​IF_SAFER]: Defaults to `NO`. Creation of huge RMF file (Supported by GIS Panorama since v11).

- COMPRESS=[NONE​/​LZW​/​JPEG​/​RMF_DEM]: Defaults to `NONE`. Compression type. Note: JPEG compression supported only with RGB (3-band) Byte datasets. RMF_DEM compression supported only with Int32 one channel MTW datasets.

- JPEG_QUALITY=[1-100]: Defaults to `75`. JPEG quality 1-100.

- NUM_THREADS=[<int>​/​ALL_CPUS]: Enable multi-threaded compression by specifying the number of worker threads. Default is compression in the main thread.

## See Also:

- Implemented as rmfdataset.cpp.

- "Panorama" GIS homepage